## org.metaabm.commands
Class SetSinkFunctionCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.common.command.CompoundCommand
              org.metaabm.commands.MultiValueCommand
                  org.metaabm.commands.SetSinkFunctionCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command

    public class SetSinkFunctionCommand

extends MultiValueCommand

Maintain correct number of inputs for the sink and add distributions as neccessary.

Author:
  milesparker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.eclipse.emf.common.command.CompoundCommand
`LAST_COMMAND_ALL, MERGE_COMMAND_ALL`

Constructor Summary
`SetSinkFunctionCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.metaabm.act.ASink sink, org.metaabm.function.FFunction newFunction)`

Method Summary

Methods inherited from class org.metaabm.commands.MultiValueCommand
`addAttribute, addAttributesCross, addAttributesSingle, removeMultiFunction`

Methods inherited from class org.eclipse.emf.common.command.CompoundCommand
`append, appendAndExecute, appendIfCanExecute, canUndo, dispose, execute, getAffectedObjects, getCommandList, getDescription, getLabel, getResult, getResultIndex, isEmpty, redo, toString, undo, unwrap`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetSinkFunctionCommand

    public SetSinkFunctionCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                  org.metaabm.act.ASink sink,
                                  org.metaabm.function.FFunction newFunction)